Bug 1195868 - (CVE-2022-0583) VUL-1: CVE-2022-0583: wireshark: PVFS dissector crash (wnpa-sec-2022-03)
(CVE-2022-0583)
VUL-1: CVE-2022-0583: wireshark: PVFS dissector crash (wnpa-sec-2022-03)
Status: IN_PROGRESS
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/323764/
CVSSv3.1:SUSE:CVE-2022-0583:7.5:(AV:N...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2022-02-12 10:18 UTC by Andreas Stieger
Modified: 2022-03-04 14:35 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Stieger 2022-02-12 10:18:01 UTC
It was discovered that in Wireshark before 3.6.2, 3.4.12 the PVFS dissector could crash. It may be possible to make Wireshark crash by injecting a malformed packet onto the wire or by convincing someone to read a malformed packet trace file.

Affected versions: 3.6.0 to 3.6.1, 3.4.0 to 3.4.11
Fixed versions: 3.6.2, 3.4.12

References:
https://www.wireshark.org/security/wnpa-sec-2022-03
https://gitlab.com/wireshark/wireshark/-/issues/17840
Comment 1 Gabriele Sonnu 2022-02-17 15:54:43 UTC
Tracking as affected:

 - SUSE:SLE-15:Update/wireshark    3.6.1
Comment 2 Robert Frohl 2022-02-18 09:10:58 UTC
Thanks Andreas for the changes update!

on it's way to SLE over to security-team@suse
Comment 4 Swamp Workflow Management 2022-03-04 14:19:14 UTC
openSUSE-SU-2022:0722-1: An update that fixes 5 vulnerabilities is now available.

Category: security (important)
Bug References: 1195866,1195867,1195868,1195869,1195870
CVE References: CVE-2022-0581,CVE-2022-0582,CVE-2022-0583,CVE-2022-0585,CVE-2022-0586
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    wireshark-3.6.2-3.71.1
openSUSE Leap 15.3 (src):    wireshark-3.6.2-3.71.1
Comment 5 Swamp Workflow Management 2022-03-04 14:35:07 UTC
SUSE-SU-2022:0722-1: An update that fixes 5 vulnerabilities is now available.

Category: security (important)
Bug References: 1195866,1195867,1195868,1195869,1195870
CVE References: CVE-2022-0581,CVE-2022-0582,CVE-2022-0583,CVE-2022-0585,CVE-2022-0586
JIRA References: 
Sources used:
SUSE Manager Server 4.1 (src):    wireshark-3.6.2-3.71.1
SUSE Manager Retail Branch Server 4.1 (src):    wireshark-3.6.2-3.71.1
SUSE Manager Proxy 4.1 (src):    wireshark-3.6.2-3.71.1
SUSE Linux Enterprise Server for SAP 15-SP2 (src):    wireshark-3.6.2-3.71.1
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    wireshark-3.6.2-3.71.1
SUSE Linux Enterprise Server for SAP 15 (src):    wireshark-3.6.2-3.71.1
SUSE Linux Enterprise Server 15-SP2-LTSS (src):    wireshark-3.6.2-3.71.1
SUSE Linux Enterprise Server 15-SP2-BCL (src):    wireshark-3.6.2-3.71.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    wireshark-3.6.2-3.71.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    wireshark-3.6.2-3.71.1
SUSE Linux Enterprise Server 15-LTSS (src):    wireshark-3.6.2-3.71.1
SUSE Linux Enterprise Realtime Extension 15-SP2 (src):    wireshark-3.6.2-3.71.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP4 (src):    wireshark-3.6.2-3.71.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP3 (src):    wireshark-3.6.2-3.71.1
SUSE Linux Enterprise Module for Basesystem 15-SP4 (src):    wireshark-3.6.2-3.71.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    wireshark-3.6.2-3.71.1
SUSE Linux Enterprise High Performance Computing 15-SP2-LTSS (src):    wireshark-3.6.2-3.71.1
SUSE Linux Enterprise High Performance Computing 15-SP2-ESPOS (src):    wireshark-3.6.2-3.71.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    wireshark-3.6.2-3.71.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    wireshark-3.6.2-3.71.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    wireshark-3.6.2-3.71.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    wireshark-3.6.2-3.71.1
SUSE Enterprise Storage 7 (src):    wireshark-3.6.2-3.71.1
SUSE Enterprise Storage 6 (src):    wireshark-3.6.2-3.71.1
SUSE CaaS Platform 4.0 (src):    wireshark-3.6.2-3.71.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.